# Survey URL

### Profile Data

In addition to updating profile data for a VPID via /update-user (see Update Panelist), panelist profiles can also be updated by passing the data into the survey URL (/survey-click) after the hsh param.

Profile data can be passed into separate URL params for each question where the param name is “q“ + the question\_id and the value is the option\_id as referenced in [/lookup­-question-­by-­country](https://www.prodege.com/prodegemrapi/?section=lookup-questions-by-countryid). For example, when attempting to pass a response to the Gender profile question (question\_id 3) as Male (option\_id 1), it should be passed as q3=1.

[`https://www.prsrvy.com/g/survey-click?projectid=123456789&sourceid=12345&vpid=987654321&cpi=1.05&hsh=123654789654123ytrewq&`<mark style="color:yellow;">`q3=1`</mark>](#user-content-fn-1)[^1]

Profile data for multi-select questions should be passed as comma-separated option\_ids. For example, when attempting to pass a response to the Language profile question (question\_id 20) as English (option\_id 1) and Spanish (option\_id 2), it should be passed as q20=1,2.

[`https://www.prsrvy.com/g/survey-click?projectid=123456789&sourceid=12345&vpid=987654321&cpi=1.05&hsh=123654789654123ytrewq&q3=1&`<mark style="color:yellow;">`q20=1,2`</mark>](#user-content-fn-1)[^1]

You can add as much profile data to the survey URL as you’d like.

### Appending pass-through variables

You can pass whatever you wish to the end of the surveyurl, and we’ll return it upon survey completion in the following format:&#x20;

[`https://www.prsrvy.com/g/survey-click?projectid=123456789&sourceid=12345&vpid=987654321&cpi=1.05&hsh=123654789654123ytrewq&q3=1&`](#user-content-fn-1)[^1][<mark style="color:yellow;">`var1=12345&var2=67890`</mark>](#user-content-fn-1)[^1]

<br>

<br>

[^1]:


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.prodege.com/surveys-feed/api-reference/panelist-matching/survey-url.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
